=begin comment

spoonacular API

The spoonacular Nutrition, Recipe, and Food API allows you to access over thousands of recipes, thousands of ingredients, 800,000 food products, over 100,000 menu items, and restaurants. Our food ontology and semantic recipe search engine makes it possible to search for recipes using natural language queries, such as \"gluten free brownies without sugar\" or \"low fat vegan cupcakes.\" You can automatically calculate the nutritional information for any recipe, analyze recipe costs, visualize ingredient lists, find recipes for what's in your fridge, find recipes based on special diets, nutritional requirements, or favorite ingredients, classify recipes into types and cuisines, convert ingredient amounts, or even compute an entire meal plan. With our powerful API, you can create many kinds of food and especially nutrition apps.  Special diets/dietary requirements currently available include: vegan, vegetarian, pescetarian, gluten free, grain free, dairy free, high protein, whole 30, low sodium, low carb, Paleo, ketogenic, FODMAP, and Primal.

The version of the OpenAPI document: 1.1
Contact: mail@spoonacular.com
Generated by: https://openapi-generator.tech

=end comment

=cut

#
# NOTE: This class is auto generated by OpenAPI Generator
# Please update the test cases below to test the API endpoints.
# Ref: https://openapi-generator.tech
#
use Test::More;
use Test::Exception;

use lib 'lib';
use strict;
use warnings;

use_ok('WWW::OpenAPIClient::DefaultApi');

my $api = WWW::OpenAPIClient::DefaultApi->new();
isa_ok($api, 'WWW::OpenAPIClient::DefaultApi');

#
# analyze_recipe test
#
# uncomment below and update the test
#my $analyze_recipe_analyze_recipe_request = undef; # replace NULL with a proper value
#my $analyze_recipe_language = undef; # replace NULL with a proper value
#my $analyze_recipe_include_nutrition = undef; # replace NULL with a proper value
#my $analyze_recipe_include_taste = undef; # replace NULL with a proper value
#my $analyze_recipe_result = $api->analyze_recipe(analyze_recipe_request => $analyze_recipe_analyze_recipe_request, language => $analyze_recipe_language, include_nutrition => $analyze_recipe_include_nutrition, include_taste => $analyze_recipe_include_taste);

#
# create_recipe_card_get test
#
# uncomment below and update the test
#my $create_recipe_card_get_id = undef; # replace NULL with a proper value
#my $create_recipe_card_get_mask = undef; # replace NULL with a proper value
#my $create_recipe_card_get_background_image = undef; # replace NULL with a proper value
#my $create_recipe_card_get_background_color = undef; # replace NULL with a proper value
#my $create_recipe_card_get_font_color = undef; # replace NULL with a proper value
#my $create_recipe_card_get_result = $api->create_recipe_card_get(id => $create_recipe_card_get_id, mask => $create_recipe_card_get_mask, background_image => $create_recipe_card_get_background_image, background_color => $create_recipe_card_get_background_color, font_color => $create_recipe_card_get_font_color);

#
# search_restaurants test
#
# uncomment below and update the test
#my $search_restaurants_query = undef; # replace NULL with a proper value
#my $search_restaurants_lat = undef; # replace NULL with a proper value
#my $search_restaurants_lng = undef; # replace NULL with a proper value
#my $search_restaurants_distance = undef; # replace NULL with a proper value
#my $search_restaurants_budget = undef; # replace NULL with a proper value
#my $search_restaurants_cuisine = undef; # replace NULL with a proper value
#my $search_restaurants_min_rating = undef; # replace NULL with a proper value
#my $search_restaurants_is_open = undef; # replace NULL with a proper value
#my $search_restaurants_sort = undef; # replace NULL with a proper value
#my $search_restaurants_page = undef; # replace NULL with a proper value
#my $search_restaurants_result = $api->search_restaurants(query => $search_restaurants_query, lat => $search_restaurants_lat, lng => $search_restaurants_lng, distance => $search_restaurants_distance, budget => $search_restaurants_budget, cuisine => $search_restaurants_cuisine, min_rating => $search_restaurants_min_rating, is_open => $search_restaurants_is_open, sort => $search_restaurants_sort, page => $search_restaurants_page);


done_testing();
