=begin comment

spoonacular API

The spoonacular Nutrition, Recipe, and Food API allows you to access over thousands of recipes, thousands of ingredients, 800,000 food products, over 100,000 menu items, and restaurants. Our food ontology and semantic recipe search engine makes it possible to search for recipes using natural language queries, such as \"gluten free brownies without sugar\" or \"low fat vegan cupcakes.\" You can automatically calculate the nutritional information for any recipe, analyze recipe costs, visualize ingredient lists, find recipes for what's in your fridge, find recipes based on special diets, nutritional requirements, or favorite ingredients, classify recipes into types and cuisines, convert ingredient amounts, or even compute an entire meal plan. With our powerful API, you can create many kinds of food and especially nutrition apps.  Special diets/dietary requirements currently available include: vegan, vegetarian, pescetarian, gluten free, grain free, dairy free, high protein, whole 30, low sodium, low carb, Paleo, ketogenic, FODMAP, and Primal.

The version of the OpenAPI document: 1.1
Contact: mail@spoonacular.com
Generated by: https://openapi-generator.tech

=end comment

=cut

#
# NOTE: This class is auto generated by OpenAPI Generator
# Please update the test cases below to test the API endpoints.
# Ref: https://openapi-generator.tech
#
use Test::More;
use Test::Exception;

use lib 'lib';
use strict;
use warnings;

use_ok('WWW::OpenAPIClient::RecipesApi');

my $api = WWW::OpenAPIClient::RecipesApi->new();
isa_ok($api, 'WWW::OpenAPIClient::RecipesApi');

#
# analyze_a_recipe_search_query test
#
# uncomment below and update the test
#my $analyze_a_recipe_search_query_q = undef; # replace NULL with a proper value
#my $analyze_a_recipe_search_query_result = $api->analyze_a_recipe_search_query(q => $analyze_a_recipe_search_query_q);

#
# analyze_recipe_instructions test
#
# uncomment below and update the test
#my $analyze_recipe_instructions_content_type = undef; # replace NULL with a proper value
#my $analyze_recipe_instructions_result = $api->analyze_recipe_instructions(content_type => $analyze_recipe_instructions_content_type);

#
# autocomplete_recipe_search test
#
# uncomment below and update the test
#my $autocomplete_recipe_search_query = undef; # replace NULL with a proper value
#my $autocomplete_recipe_search_number = undef; # replace NULL with a proper value
#my $autocomplete_recipe_search_result = $api->autocomplete_recipe_search(query => $autocomplete_recipe_search_query, number => $autocomplete_recipe_search_number);

#
# classify_cuisine test
#
# uncomment below and update the test
#my $classify_cuisine_content_type = undef; # replace NULL with a proper value
#my $classify_cuisine_result = $api->classify_cuisine(content_type => $classify_cuisine_content_type);

#
# compute_glycemic_load test
#
# uncomment below and update the test
#my $compute_glycemic_load_compute_glycemic_load_request = undef; # replace NULL with a proper value
#my $compute_glycemic_load_language = undef; # replace NULL with a proper value
#my $compute_glycemic_load_result = $api->compute_glycemic_load(compute_glycemic_load_request => $compute_glycemic_load_compute_glycemic_load_request, language => $compute_glycemic_load_language);

#
# convert_amounts test
#
# uncomment below and update the test
#my $convert_amounts_ingredient_name = undef; # replace NULL with a proper value
#my $convert_amounts_source_amount = undef; # replace NULL with a proper value
#my $convert_amounts_source_unit = undef; # replace NULL with a proper value
#my $convert_amounts_target_unit = undef; # replace NULL with a proper value
#my $convert_amounts_result = $api->convert_amounts(ingredient_name => $convert_amounts_ingredient_name, source_amount => $convert_amounts_source_amount, source_unit => $convert_amounts_source_unit, target_unit => $convert_amounts_target_unit);

#
# create_recipe_card test
#
# uncomment below and update the test
#my $create_recipe_card_content_type = undef; # replace NULL with a proper value
#my $create_recipe_card_result = $api->create_recipe_card(content_type => $create_recipe_card_content_type);

#
# equipment_by_id_image test
#
# uncomment below and update the test
#my $equipment_by_id_image_id = undef; # replace NULL with a proper value
#my $equipment_by_id_image_result = $api->equipment_by_id_image(id => $equipment_by_id_image_id);

#
# extract_recipe_from_website test
#
# uncomment below and update the test
#my $extract_recipe_from_website_url = undef; # replace NULL with a proper value
#my $extract_recipe_from_website_force_extraction = undef; # replace NULL with a proper value
#my $extract_recipe_from_website_analyze = undef; # replace NULL with a proper value
#my $extract_recipe_from_website_include_nutrition = undef; # replace NULL with a proper value
#my $extract_recipe_from_website_include_taste = undef; # replace NULL with a proper value
#my $extract_recipe_from_website_result = $api->extract_recipe_from_website(url => $extract_recipe_from_website_url, force_extraction => $extract_recipe_from_website_force_extraction, analyze => $extract_recipe_from_website_analyze, include_nutrition => $extract_recipe_from_website_include_nutrition, include_taste => $extract_recipe_from_website_include_taste);

#
# get_analyzed_recipe_instructions test
#
# uncomment below and update the test
#my $get_analyzed_recipe_instructions_id = undef; # replace NULL with a proper value
#my $get_analyzed_recipe_instructions_step_breakdown = undef; # replace NULL with a proper value
#my $get_analyzed_recipe_instructions_result = $api->get_analyzed_recipe_instructions(id => $get_analyzed_recipe_instructions_id, step_breakdown => $get_analyzed_recipe_instructions_step_breakdown);

#
# get_random_recipes test
#
# uncomment below and update the test
#my $get_random_recipes_limit_license = undef; # replace NULL with a proper value
#my $get_random_recipes_tags = undef; # replace NULL with a proper value
#my $get_random_recipes_number = undef; # replace NULL with a proper value
#my $get_random_recipes_result = $api->get_random_recipes(limit_license => $get_random_recipes_limit_license, tags => $get_random_recipes_tags, number => $get_random_recipes_number);

#
# get_recipe_equipment_by_id test
#
# uncomment below and update the test
#my $get_recipe_equipment_by_id_id = undef; # replace NULL with a proper value
#my $get_recipe_equipment_by_id_result = $api->get_recipe_equipment_by_id(id => $get_recipe_equipment_by_id_id);

#
# get_recipe_information test
#
# uncomment below and update the test
#my $get_recipe_information_id = undef; # replace NULL with a proper value
#my $get_recipe_information_include_nutrition = undef; # replace NULL with a proper value
#my $get_recipe_information_result = $api->get_recipe_information(id => $get_recipe_information_id, include_nutrition => $get_recipe_information_include_nutrition);

#
# get_recipe_information_bulk test
#
# uncomment below and update the test
#my $get_recipe_information_bulk_ids = undef; # replace NULL with a proper value
#my $get_recipe_information_bulk_include_nutrition = undef; # replace NULL with a proper value
#my $get_recipe_information_bulk_result = $api->get_recipe_information_bulk(ids => $get_recipe_information_bulk_ids, include_nutrition => $get_recipe_information_bulk_include_nutrition);

#
# get_recipe_ingredients_by_id test
#
# uncomment below and update the test
#my $get_recipe_ingredients_by_id_id = undef; # replace NULL with a proper value
#my $get_recipe_ingredients_by_id_result = $api->get_recipe_ingredients_by_id(id => $get_recipe_ingredients_by_id_id);

#
# get_recipe_nutrition_widget_by_id test
#
# uncomment below and update the test
#my $get_recipe_nutrition_widget_by_id_id = undef; # replace NULL with a proper value
#my $get_recipe_nutrition_widget_by_id_result = $api->get_recipe_nutrition_widget_by_id(id => $get_recipe_nutrition_widget_by_id_id);

#
# get_recipe_price_breakdown_by_id test
#
# uncomment below and update the test
#my $get_recipe_price_breakdown_by_id_id = undef; # replace NULL with a proper value
#my $get_recipe_price_breakdown_by_id_result = $api->get_recipe_price_breakdown_by_id(id => $get_recipe_price_breakdown_by_id_id);

#
# get_recipe_taste_by_id test
#
# uncomment below and update the test
#my $get_recipe_taste_by_id_id = undef; # replace NULL with a proper value
#my $get_recipe_taste_by_id_normalize = undef; # replace NULL with a proper value
#my $get_recipe_taste_by_id_result = $api->get_recipe_taste_by_id(id => $get_recipe_taste_by_id_id, normalize => $get_recipe_taste_by_id_normalize);

#
# get_similar_recipes test
#
# uncomment below and update the test
#my $get_similar_recipes_id = undef; # replace NULL with a proper value
#my $get_similar_recipes_number = undef; # replace NULL with a proper value
#my $get_similar_recipes_limit_license = undef; # replace NULL with a proper value
#my $get_similar_recipes_result = $api->get_similar_recipes(id => $get_similar_recipes_id, number => $get_similar_recipes_number, limit_license => $get_similar_recipes_limit_license);

#
# guess_nutrition_by_dish_name test
#
# uncomment below and update the test
#my $guess_nutrition_by_dish_name_title = undef; # replace NULL with a proper value
#my $guess_nutrition_by_dish_name_result = $api->guess_nutrition_by_dish_name(title => $guess_nutrition_by_dish_name_title);

#
# ingredients_by_id_image test
#
# uncomment below and update the test
#my $ingredients_by_id_image_id = undef; # replace NULL with a proper value
#my $ingredients_by_id_image_measure = undef; # replace NULL with a proper value
#my $ingredients_by_id_image_result = $api->ingredients_by_id_image(id => $ingredients_by_id_image_id, measure => $ingredients_by_id_image_measure);

#
# parse_ingredients test
#
# uncomment below and update the test
#my $parse_ingredients_content_type = undef; # replace NULL with a proper value
#my $parse_ingredients_language = undef; # replace NULL with a proper value
#my $parse_ingredients_result = $api->parse_ingredients(content_type => $parse_ingredients_content_type, language => $parse_ingredients_language);

#
# price_breakdown_by_id_image test
#
# uncomment below and update the test
#my $price_breakdown_by_id_image_id = undef; # replace NULL with a proper value
#my $price_breakdown_by_id_image_result = $api->price_breakdown_by_id_image(id => $price_breakdown_by_id_image_id);

#
# quick_answer test
#
# uncomment below and update the test
#my $quick_answer_q = undef; # replace NULL with a proper value
#my $quick_answer_result = $api->quick_answer(q => $quick_answer_q);

#
# recipe_nutrition_by_id_image test
#
# uncomment below and update the test
#my $recipe_nutrition_by_id_image_id = undef; # replace NULL with a proper value
#my $recipe_nutrition_by_id_image_result = $api->recipe_nutrition_by_id_image(id => $recipe_nutrition_by_id_image_id);

#
# recipe_nutrition_label_image test
#
# uncomment below and update the test
#my $recipe_nutrition_label_image_id = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_image_show_optional_nutrients = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_image_show_zero_values = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_image_show_ingredients = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_image_result = $api->recipe_nutrition_label_image(id => $recipe_nutrition_label_image_id, show_optional_nutrients => $recipe_nutrition_label_image_show_optional_nutrients, show_zero_values => $recipe_nutrition_label_image_show_zero_values, show_ingredients => $recipe_nutrition_label_image_show_ingredients);

#
# recipe_nutrition_label_widget test
#
# uncomment below and update the test
#my $recipe_nutrition_label_widget_id = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_widget_default_css = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_widget_show_optional_nutrients = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_widget_show_zero_values = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_widget_show_ingredients = undef; # replace NULL with a proper value
#my $recipe_nutrition_label_widget_result = $api->recipe_nutrition_label_widget(id => $recipe_nutrition_label_widget_id, default_css => $recipe_nutrition_label_widget_default_css, show_optional_nutrients => $recipe_nutrition_label_widget_show_optional_nutrients, show_zero_values => $recipe_nutrition_label_widget_show_zero_values, show_ingredients => $recipe_nutrition_label_widget_show_ingredients);

#
# recipe_taste_by_id_image test
#
# uncomment below and update the test
#my $recipe_taste_by_id_image_id = undef; # replace NULL with a proper value
#my $recipe_taste_by_id_image_normalize = undef; # replace NULL with a proper value
#my $recipe_taste_by_id_image_rgb = undef; # replace NULL with a proper value
#my $recipe_taste_by_id_image_result = $api->recipe_taste_by_id_image(id => $recipe_taste_by_id_image_id, normalize => $recipe_taste_by_id_image_normalize, rgb => $recipe_taste_by_id_image_rgb);

#
# search_recipes test
#
# uncomment below and update the test
#my $search_recipes_query = undef; # replace NULL with a proper value
#my $search_recipes_cuisine = undef; # replace NULL with a proper value
#my $search_recipes_exclude_cuisine = undef; # replace NULL with a proper value
#my $search_recipes_diet = undef; # replace NULL with a proper value
#my $search_recipes_intolerances = undef; # replace NULL with a proper value
#my $search_recipes_equipment = undef; # replace NULL with a proper value
#my $search_recipes_include_ingredients = undef; # replace NULL with a proper value
#my $search_recipes_exclude_ingredients = undef; # replace NULL with a proper value
#my $search_recipes_type = undef; # replace NULL with a proper value
#my $search_recipes_instructions_required = undef; # replace NULL with a proper value
#my $search_recipes_fill_ingredients = undef; # replace NULL with a proper value
#my $search_recipes_add_recipe_information = undef; # replace NULL with a proper value
#my $search_recipes_add_recipe_nutrition = undef; # replace NULL with a proper value
#my $search_recipes_author = undef; # replace NULL with a proper value
#my $search_recipes_tags = undef; # replace NULL with a proper value
#my $search_recipes_recipe_box_id = undef; # replace NULL with a proper value
#my $search_recipes_title_match = undef; # replace NULL with a proper value
#my $search_recipes_max_ready_time = undef; # replace NULL with a proper value
#my $search_recipes_ignore_pantry = undef; # replace NULL with a proper value
#my $search_recipes_sort = undef; # replace NULL with a proper value
#my $search_recipes_sort_direction = undef; # replace NULL with a proper value
#my $search_recipes_min_carbs = undef; # replace NULL with a proper value
#my $search_recipes_max_carbs = undef; # replace NULL with a proper value
#my $search_recipes_min_protein = undef; # replace NULL with a proper value
#my $search_recipes_max_protein = undef; # replace NULL with a proper value
#my $search_recipes_min_calories = undef; # replace NULL with a proper value
#my $search_recipes_max_calories = undef; # replace NULL with a proper value
#my $search_recipes_min_fat = undef; # replace NULL with a proper value
#my $search_recipes_max_fat = undef; # replace NULL with a proper value
#my $search_recipes_min_alcohol = undef; # replace NULL with a proper value
#my $search_recipes_max_alcohol = undef; # replace NULL with a proper value
#my $search_recipes_min_caffeine = undef; # replace NULL with a proper value
#my $search_recipes_max_caffeine = undef; # replace NULL with a proper value
#my $search_recipes_min_copper = undef; # replace NULL with a proper value
#my $search_recipes_max_copper = undef; # replace NULL with a proper value
#my $search_recipes_min_calcium = undef; # replace NULL with a proper value
#my $search_recipes_max_calcium = undef; # replace NULL with a proper value
#my $search_recipes_min_choline = undef; # replace NULL with a proper value
#my $search_recipes_max_choline = undef; # replace NULL with a proper value
#my $search_recipes_min_cholesterol = undef; # replace NULL with a proper value
#my $search_recipes_max_cholesterol = undef; # replace NULL with a proper value
#my $search_recipes_min_fluoride = undef; # replace NULL with a proper value
#my $search_recipes_max_fluoride = undef; # replace NULL with a proper value
#my $search_recipes_min_saturated_fat = undef; # replace NULL with a proper value
#my $search_recipes_max_saturated_fat = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_a = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_a = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_c = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_c = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_d = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_d = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_e = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_e = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_k = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_k = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b1 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b1 = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b2 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b2 = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b5 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b5 = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b3 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b3 = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b6 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b6 = undef; # replace NULL with a proper value
#my $search_recipes_min_vitamin_b12 = undef; # replace NULL with a proper value
#my $search_recipes_max_vitamin_b12 = undef; # replace NULL with a proper value
#my $search_recipes_min_fiber = undef; # replace NULL with a proper value
#my $search_recipes_max_fiber = undef; # replace NULL with a proper value
#my $search_recipes_min_folate = undef; # replace NULL with a proper value
#my $search_recipes_max_folate = undef; # replace NULL with a proper value
#my $search_recipes_min_folic_acid = undef; # replace NULL with a proper value
#my $search_recipes_max_folic_acid = undef; # replace NULL with a proper value
#my $search_recipes_min_iodine = undef; # replace NULL with a proper value
#my $search_recipes_max_iodine = undef; # replace NULL with a proper value
#my $search_recipes_min_iron = undef; # replace NULL with a proper value
#my $search_recipes_max_iron = undef; # replace NULL with a proper value
#my $search_recipes_min_magnesium = undef; # replace NULL with a proper value
#my $search_recipes_max_magnesium = undef; # replace NULL with a proper value
#my $search_recipes_min_manganese = undef; # replace NULL with a proper value
#my $search_recipes_max_manganese = undef; # replace NULL with a proper value
#my $search_recipes_min_phosphorus = undef; # replace NULL with a proper value
#my $search_recipes_max_phosphorus = undef; # replace NULL with a proper value
#my $search_recipes_min_potassium = undef; # replace NULL with a proper value
#my $search_recipes_max_potassium = undef; # replace NULL with a proper value
#my $search_recipes_min_selenium = undef; # replace NULL with a proper value
#my $search_recipes_max_selenium = undef; # replace NULL with a proper value
#my $search_recipes_min_sodium = undef; # replace NULL with a proper value
#my $search_recipes_max_sodium = undef; # replace NULL with a proper value
#my $search_recipes_min_sugar = undef; # replace NULL with a proper value
#my $search_recipes_max_sugar = undef; # replace NULL with a proper value
#my $search_recipes_min_zinc = undef; # replace NULL with a proper value
#my $search_recipes_max_zinc = undef; # replace NULL with a proper value
#my $search_recipes_offset = undef; # replace NULL with a proper value
#my $search_recipes_number = undef; # replace NULL with a proper value
#my $search_recipes_limit_license = undef; # replace NULL with a proper value
#my $search_recipes_result = $api->search_recipes(query => $search_recipes_query, cuisine => $search_recipes_cuisine, exclude_cuisine => $search_recipes_exclude_cuisine, diet => $search_recipes_diet, intolerances => $search_recipes_intolerances, equipment => $search_recipes_equipment, include_ingredients => $search_recipes_include_ingredients, exclude_ingredients => $search_recipes_exclude_ingredients, type => $search_recipes_type, instructions_required => $search_recipes_instructions_required, fill_ingredients => $search_recipes_fill_ingredients, add_recipe_information => $search_recipes_add_recipe_information, add_recipe_nutrition => $search_recipes_add_recipe_nutrition, author => $search_recipes_author, tags => $search_recipes_tags, recipe_box_id => $search_recipes_recipe_box_id, title_match => $search_recipes_title_match, max_ready_time => $search_recipes_max_ready_time, ignore_pantry => $search_recipes_ignore_pantry, sort => $search_recipes_sort, sort_direction => $search_recipes_sort_direction, min_carbs => $search_recipes_min_carbs, max_carbs => $search_recipes_max_carbs, min_protein => $search_recipes_min_protein, max_protein => $search_recipes_max_protein, min_calories => $search_recipes_min_calories, max_calories => $search_recipes_max_calories, min_fat => $search_recipes_min_fat, max_fat => $search_recipes_max_fat, min_alcohol => $search_recipes_min_alcohol, max_alcohol => $search_recipes_max_alcohol, min_caffeine => $search_recipes_min_caffeine, max_caffeine => $search_recipes_max_caffeine, min_copper => $search_recipes_min_copper, max_copper => $search_recipes_max_copper, min_calcium => $search_recipes_min_calcium, max_calcium => $search_recipes_max_calcium, min_choline => $search_recipes_min_choline, max_choline => $search_recipes_max_choline, min_cholesterol => $search_recipes_min_cholesterol, max_cholesterol => $search_recipes_max_cholesterol, min_fluoride => $search_recipes_min_fluoride, max_fluoride => $search_recipes_max_fluoride, min_saturated_fat => $search_recipes_min_saturated_fat, max_saturated_fat => $search_recipes_max_saturated_fat, min_vitamin_a => $search_recipes_min_vitamin_a, max_vitamin_a => $search_recipes_max_vitamin_a, min_vitamin_c => $search_recipes_min_vitamin_c, max_vitamin_c => $search_recipes_max_vitamin_c, min_vitamin_d => $search_recipes_min_vitamin_d, max_vitamin_d => $search_recipes_max_vitamin_d, min_vitamin_e => $search_recipes_min_vitamin_e, max_vitamin_e => $search_recipes_max_vitamin_e, min_vitamin_k => $search_recipes_min_vitamin_k, max_vitamin_k => $search_recipes_max_vitamin_k, min_vitamin_b1 => $search_recipes_min_vitamin_b1, max_vitamin_b1 => $search_recipes_max_vitamin_b1, min_vitamin_b2 => $search_recipes_min_vitamin_b2, max_vitamin_b2 => $search_recipes_max_vitamin_b2, min_vitamin_b5 => $search_recipes_min_vitamin_b5, max_vitamin_b5 => $search_recipes_max_vitamin_b5, min_vitamin_b3 => $search_recipes_min_vitamin_b3, max_vitamin_b3 => $search_recipes_max_vitamin_b3, min_vitamin_b6 => $search_recipes_min_vitamin_b6, max_vitamin_b6 => $search_recipes_max_vitamin_b6, min_vitamin_b12 => $search_recipes_min_vitamin_b12, max_vitamin_b12 => $search_recipes_max_vitamin_b12, min_fiber => $search_recipes_min_fiber, max_fiber => $search_recipes_max_fiber, min_folate => $search_recipes_min_folate, max_folate => $search_recipes_max_folate, min_folic_acid => $search_recipes_min_folic_acid, max_folic_acid => $search_recipes_max_folic_acid, min_iodine => $search_recipes_min_iodine, max_iodine => $search_recipes_max_iodine, min_iron => $search_recipes_min_iron, max_iron => $search_recipes_max_iron, min_magnesium => $search_recipes_min_magnesium, max_magnesium => $search_recipes_max_magnesium, min_manganese => $search_recipes_min_manganese, max_manganese => $search_recipes_max_manganese, min_phosphorus => $search_recipes_min_phosphorus, max_phosphorus => $search_recipes_max_phosphorus, min_potassium => $search_recipes_min_potassium, max_potassium => $search_recipes_max_potassium, min_selenium => $search_recipes_min_selenium, max_selenium => $search_recipes_max_selenium, min_sodium => $search_recipes_min_sodium, max_sodium => $search_recipes_max_sodium, min_sugar => $search_recipes_min_sugar, max_sugar => $search_recipes_max_sugar, min_zinc => $search_recipes_min_zinc, max_zinc => $search_recipes_max_zinc, offset => $search_recipes_offset, number => $search_recipes_number, limit_license => $search_recipes_limit_license);

#
# search_recipes_by_ingredients test
#
# uncomment below and update the test
#my $search_recipes_by_ingredients_ingredients = undef; # replace NULL with a proper value
#my $search_recipes_by_ingredients_number = undef; # replace NULL with a proper value
#my $search_recipes_by_ingredients_limit_license = undef; # replace NULL with a proper value
#my $search_recipes_by_ingredients_ranking = undef; # replace NULL with a proper value
#my $search_recipes_by_ingredients_ignore_pantry = undef; # replace NULL with a proper value
#my $search_recipes_by_ingredients_result = $api->search_recipes_by_ingredients(ingredients => $search_recipes_by_ingredients_ingredients, number => $search_recipes_by_ingredients_number, limit_license => $search_recipes_by_ingredients_limit_license, ranking => $search_recipes_by_ingredients_ranking, ignore_pantry => $search_recipes_by_ingredients_ignore_pantry);

#
# search_recipes_by_nutrients test
#
# uncomment below and update the test
#my $search_recipes_by_nutrients_min_carbs = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_carbs = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_protein = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_protein = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_calories = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_calories = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_fat = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_fat = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_alcohol = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_alcohol = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_caffeine = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_caffeine = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_copper = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_copper = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_calcium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_calcium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_choline = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_choline = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_cholesterol = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_cholesterol = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_fluoride = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_fluoride = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_saturated_fat = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_saturated_fat = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_a = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_a = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_c = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_c = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_d = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_d = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_e = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_e = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_k = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_k = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b1 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b1 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b2 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b2 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b5 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b5 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b3 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b3 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b6 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b6 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_vitamin_b12 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_vitamin_b12 = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_fiber = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_fiber = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_folate = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_folate = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_folic_acid = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_folic_acid = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_iodine = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_iodine = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_iron = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_iron = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_magnesium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_magnesium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_manganese = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_manganese = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_phosphorus = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_phosphorus = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_potassium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_potassium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_selenium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_selenium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_sodium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_sodium = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_sugar = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_sugar = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_min_zinc = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_max_zinc = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_offset = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_number = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_random = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_limit_license = undef; # replace NULL with a proper value
#my $search_recipes_by_nutrients_result = $api->search_recipes_by_nutrients(min_carbs => $search_recipes_by_nutrients_min_carbs, max_carbs => $search_recipes_by_nutrients_max_carbs, min_protein => $search_recipes_by_nutrients_min_protein, max_protein => $search_recipes_by_nutrients_max_protein, min_calories => $search_recipes_by_nutrients_min_calories, max_calories => $search_recipes_by_nutrients_max_calories, min_fat => $search_recipes_by_nutrients_min_fat, max_fat => $search_recipes_by_nutrients_max_fat, min_alcohol => $search_recipes_by_nutrients_min_alcohol, max_alcohol => $search_recipes_by_nutrients_max_alcohol, min_caffeine => $search_recipes_by_nutrients_min_caffeine, max_caffeine => $search_recipes_by_nutrients_max_caffeine, min_copper => $search_recipes_by_nutrients_min_copper, max_copper => $search_recipes_by_nutrients_max_copper, min_calcium => $search_recipes_by_nutrients_min_calcium, max_calcium => $search_recipes_by_nutrients_max_calcium, min_choline => $search_recipes_by_nutrients_min_choline, max_choline => $search_recipes_by_nutrients_max_choline, min_cholesterol => $search_recipes_by_nutrients_min_cholesterol, max_cholesterol => $search_recipes_by_nutrients_max_cholesterol, min_fluoride => $search_recipes_by_nutrients_min_fluoride, max_fluoride => $search_recipes_by_nutrients_max_fluoride, min_saturated_fat => $search_recipes_by_nutrients_min_saturated_fat, max_saturated_fat => $search_recipes_by_nutrients_max_saturated_fat, min_vitamin_a => $search_recipes_by_nutrients_min_vitamin_a, max_vitamin_a => $search_recipes_by_nutrients_max_vitamin_a, min_vitamin_c => $search_recipes_by_nutrients_min_vitamin_c, max_vitamin_c => $search_recipes_by_nutrients_max_vitamin_c, min_vitamin_d => $search_recipes_by_nutrients_min_vitamin_d, max_vitamin_d => $search_recipes_by_nutrients_max_vitamin_d, min_vitamin_e => $search_recipes_by_nutrients_min_vitamin_e, max_vitamin_e => $search_recipes_by_nutrients_max_vitamin_e, min_vitamin_k => $search_recipes_by_nutrients_min_vitamin_k, max_vitamin_k => $search_recipes_by_nutrients_max_vitamin_k, min_vitamin_b1 => $search_recipes_by_nutrients_min_vitamin_b1, max_vitamin_b1 => $search_recipes_by_nutrients_max_vitamin_b1, min_vitamin_b2 => $search_recipes_by_nutrients_min_vitamin_b2, max_vitamin_b2 => $search_recipes_by_nutrients_max_vitamin_b2, min_vitamin_b5 => $search_recipes_by_nutrients_min_vitamin_b5, max_vitamin_b5 => $search_recipes_by_nutrients_max_vitamin_b5, min_vitamin_b3 => $search_recipes_by_nutrients_min_vitamin_b3, max_vitamin_b3 => $search_recipes_by_nutrients_max_vitamin_b3, min_vitamin_b6 => $search_recipes_by_nutrients_min_vitamin_b6, max_vitamin_b6 => $search_recipes_by_nutrients_max_vitamin_b6, min_vitamin_b12 => $search_recipes_by_nutrients_min_vitamin_b12, max_vitamin_b12 => $search_recipes_by_nutrients_max_vitamin_b12, min_fiber => $search_recipes_by_nutrients_min_fiber, max_fiber => $search_recipes_by_nutrients_max_fiber, min_folate => $search_recipes_by_nutrients_min_folate, max_folate => $search_recipes_by_nutrients_max_folate, min_folic_acid => $search_recipes_by_nutrients_min_folic_acid, max_folic_acid => $search_recipes_by_nutrients_max_folic_acid, min_iodine => $search_recipes_by_nutrients_min_iodine, max_iodine => $search_recipes_by_nutrients_max_iodine, min_iron => $search_recipes_by_nutrients_min_iron, max_iron => $search_recipes_by_nutrients_max_iron, min_magnesium => $search_recipes_by_nutrients_min_magnesium, max_magnesium => $search_recipes_by_nutrients_max_magnesium, min_manganese => $search_recipes_by_nutrients_min_manganese, max_manganese => $search_recipes_by_nutrients_max_manganese, min_phosphorus => $search_recipes_by_nutrients_min_phosphorus, max_phosphorus => $search_recipes_by_nutrients_max_phosphorus, min_potassium => $search_recipes_by_nutrients_min_potassium, max_potassium => $search_recipes_by_nutrients_max_potassium, min_selenium => $search_recipes_by_nutrients_min_selenium, max_selenium => $search_recipes_by_nutrients_max_selenium, min_sodium => $search_recipes_by_nutrients_min_sodium, max_sodium => $search_recipes_by_nutrients_max_sodium, min_sugar => $search_recipes_by_nutrients_min_sugar, max_sugar => $search_recipes_by_nutrients_max_sugar, min_zinc => $search_recipes_by_nutrients_min_zinc, max_zinc => $search_recipes_by_nutrients_max_zinc, offset => $search_recipes_by_nutrients_offset, number => $search_recipes_by_nutrients_number, random => $search_recipes_by_nutrients_random, limit_license => $search_recipes_by_nutrients_limit_license);

#
# summarize_recipe test
#
# uncomment below and update the test
#my $summarize_recipe_id = undef; # replace NULL with a proper value
#my $summarize_recipe_result = $api->summarize_recipe(id => $summarize_recipe_id);

#
# visualize_equipment test
#
# uncomment below and update the test
#my $visualize_equipment_content_type = undef; # replace NULL with a proper value
#my $visualize_equipment_accept = undef; # replace NULL with a proper value
#my $visualize_equipment_result = $api->visualize_equipment(content_type => $visualize_equipment_content_type, accept => $visualize_equipment_accept);

#
# visualize_price_breakdown test
#
# uncomment below and update the test
#my $visualize_price_breakdown_content_type = undef; # replace NULL with a proper value
#my $visualize_price_breakdown_accept = undef; # replace NULL with a proper value
#my $visualize_price_breakdown_language = undef; # replace NULL with a proper value
#my $visualize_price_breakdown_result = $api->visualize_price_breakdown(content_type => $visualize_price_breakdown_content_type, accept => $visualize_price_breakdown_accept, language => $visualize_price_breakdown_language);

#
# visualize_recipe_equipment_by_id test
#
# uncomment below and update the test
#my $visualize_recipe_equipment_by_id_id = undef; # replace NULL with a proper value
#my $visualize_recipe_equipment_by_id_default_css = undef; # replace NULL with a proper value
#my $visualize_recipe_equipment_by_id_result = $api->visualize_recipe_equipment_by_id(id => $visualize_recipe_equipment_by_id_id, default_css => $visualize_recipe_equipment_by_id_default_css);

#
# visualize_recipe_ingredients_by_id test
#
# uncomment below and update the test
#my $visualize_recipe_ingredients_by_id_id = undef; # replace NULL with a proper value
#my $visualize_recipe_ingredients_by_id_default_css = undef; # replace NULL with a proper value
#my $visualize_recipe_ingredients_by_id_measure = undef; # replace NULL with a proper value
#my $visualize_recipe_ingredients_by_id_result = $api->visualize_recipe_ingredients_by_id(id => $visualize_recipe_ingredients_by_id_id, default_css => $visualize_recipe_ingredients_by_id_default_css, measure => $visualize_recipe_ingredients_by_id_measure);

#
# visualize_recipe_nutrition test
#
# uncomment below and update the test
#my $visualize_recipe_nutrition_content_type = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_accept = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_language = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_result = $api->visualize_recipe_nutrition(content_type => $visualize_recipe_nutrition_content_type, accept => $visualize_recipe_nutrition_accept, language => $visualize_recipe_nutrition_language);

#
# visualize_recipe_nutrition_by_id test
#
# uncomment below and update the test
#my $visualize_recipe_nutrition_by_id_id = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_by_id_default_css = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_by_id_accept = undef; # replace NULL with a proper value
#my $visualize_recipe_nutrition_by_id_result = $api->visualize_recipe_nutrition_by_id(id => $visualize_recipe_nutrition_by_id_id, default_css => $visualize_recipe_nutrition_by_id_default_css, accept => $visualize_recipe_nutrition_by_id_accept);

#
# visualize_recipe_price_breakdown_by_id test
#
# uncomment below and update the test
#my $visualize_recipe_price_breakdown_by_id_id = undef; # replace NULL with a proper value
#my $visualize_recipe_price_breakdown_by_id_default_css = undef; # replace NULL with a proper value
#my $visualize_recipe_price_breakdown_by_id_result = $api->visualize_recipe_price_breakdown_by_id(id => $visualize_recipe_price_breakdown_by_id_id, default_css => $visualize_recipe_price_breakdown_by_id_default_css);

#
# visualize_recipe_taste test
#
# uncomment below and update the test
#my $visualize_recipe_taste_language = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_content_type = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_accept = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_normalize = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_rgb = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_result = $api->visualize_recipe_taste(language => $visualize_recipe_taste_language, content_type => $visualize_recipe_taste_content_type, accept => $visualize_recipe_taste_accept, normalize => $visualize_recipe_taste_normalize, rgb => $visualize_recipe_taste_rgb);

#
# visualize_recipe_taste_by_id test
#
# uncomment below and update the test
#my $visualize_recipe_taste_by_id_id = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_by_id_normalize = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_by_id_rgb = undef; # replace NULL with a proper value
#my $visualize_recipe_taste_by_id_result = $api->visualize_recipe_taste_by_id(id => $visualize_recipe_taste_by_id_id, normalize => $visualize_recipe_taste_by_id_normalize, rgb => $visualize_recipe_taste_by_id_rgb);


done_testing();
